From 2706fd2eeea6590e3860a62d44dd3dd107341319 Mon Sep 17 00:00:00 2001
From: Illia Ostapyshyn <ilya.ostapyshyn@gmail.com>
Date: Sat, 5 Jun 2021 18:06:41 +0200
Subject: [PATCH] remove in_fullscreen_transition references

---
 src/nsterm.m | 5 -----
 1 file changed, 5 deletions(-)

diff --git a/src/nsterm.m b/src/nsterm.m
index 1503f5e2fb..838c14d5ab 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -7483,7 +7483,6 @@ - (instancetype) initFrameFromEmacs: (struct frame *)f
 #endif
     fs_is_native = ns_use_native_fullscreen;
 #endif
-  in_fullscreen_transition = NO;
 
   maximized_width = maximized_height = -1;
   nonfs_window = nil;
@@ -7856,7 +7855,6 @@ - (NSApplicationPresentationOptions)window:(NSWindow *)window
 - (void)windowWillEnterFullScreen:(NSNotification *)notification
 {
   NSTRACE ("[EmacsView windowWillEnterFullScreen:]");
-  in_fullscreen_transition = YES;
   [self windowWillEnterFullScreen];
 }
 - (void)windowWillEnterFullScreen /* provided for direct calls */
@@ -7869,7 +7867,6 @@ - (void)windowDidEnterFullScreen:(NSNotification *)notification
 {
   NSTRACE ("[EmacsView windowDidEnterFullScreen:]");
   [self windowDidEnterFullScreen];
-  in_fullscreen_transition = NO;
 }
 
 - (void)windowDidEnterFullScreen /* provided for direct calls */
@@ -7908,7 +7905,6 @@ - (void)windowDidEnterFullScreen /* provided for direct calls */
 - (void)windowWillExitFullScreen:(NSNotification *)notification
 {
   NSTRACE ("[EmacsView windowWillExitFullScreen:]");
-  in_fullscreen_transition = YES;
   [self windowWillExitFullScreen];
 }
 
@@ -7928,7 +7924,6 @@ - (void)windowDidExitFullScreen:(NSNotification *)notification
 {
   NSTRACE ("[EmacsView windowDidExitFullScreen:]");
   [self windowDidExitFullScreen];
-  in_fullscreen_transition = NO;
 }
 
 - (void)windowDidExitFullScreen /* provided for direct calls */
-- 
2.31.1

